import java.awt.Graphics;
import java.awt.Color;

public class Explosion
{
 protected int  maxStadium;
 public int     middleX;
 public int     middleY;
 public int     stadium;
 public boolean exploding;

 public Explosion()
 {
  exploding  = false;
  stadium    = 0;
 }

 public void explode(int x, int y, int size)
 {
  middleX    = x;
  middleY    = y;
  stadium    = 0;
  maxStadium = size * 2;
  exploding  = true;
 }

 public void go()
 {
  if(exploding)
  {
   stadium += maxStadium/75 + 1;
   if(stadium > maxStadium)
   {
    exploding = false;
    stadium   = 0;
   }
  }
 }

 public void paint(Graphics g)
 {
  if(exploding)
  {
   if(stadium < maxStadium/2)
   {
    g.setColor(new Color(0xFFCC66));
    g.fillOval(middleX - stadium/2, middleY - stadium/2,
     stadium + 1, stadium + 1);
   }
   else
   {
    g.setColor(new Color(0xEEBB55));
    g.fillOval(middleX - (maxStadium-stadium)/ 2,
     middleY - (maxStadium-stadium)/ 2,
     maxStadium - stadium + 1, maxStadium - stadium + 1);
   }
  }
 }

}